using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using System.ComponentModel.DataAnnotations.Schema;
using System.ComponentModel.DataAnnotations;

namespace Model.Entities.Base
{
    public abstract class BaseEntity 
    {
        //[Key]
        public int ID { set; get; }

        [Column(TypeName = "datetime2")]
        public DateTime CreateDate { set; get; }


        private void Init()
        {
            this.CreateDate = DateTime.Now;
        }

        public BaseEntity()
        {
            Init();
        }

    }
}
